<?php
require "../api.php";

$api = new spamhasiApi();

if (!$api->checkAuth()) {
    die('{"status":500, "error":"Unauthorized"}');
}

$db = $api->getDB();

$sql = "SELECT * FROM users";
$stmt = $db->query($sql);
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);

$all_users = [];

if ($result) {
    foreach ($result as $user_res) {
        $user["id"] = $user_res["id"];
        $user["name"] = $user_res["username"];

        $all_users[] = $user;
    }

    $json["users"] = $all_users;
}else{
    $json["users"] = [];
}

$json["status"] = 200;

die(json_encode($json));
?>